SoCoordinateElement Class Reference
Element Classes

The SoCoordinateElement class is yet to be documented. More...

`#include <Inventor/elements/SoCoordinateElement.h>`

Inheritance diagram for SoCoordinateElement:

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
int32_t | getNum () const
| FIXME: write doc.
SbBool | is3D () const
| FIXME: write doc.
const SbVec3f & | get3 (const int index) const
| FIXME: write doc.
const SbVec4f & | get4 (const int index) const
| FIXME: write doc.
const SbVec3f * | getArrayPtr3 () const
const SbVec4f * | getArrayPtr4 () const
virtual void | print (FILE *file) const
| FIXME: write doc.
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
SbUniqueId | getNodeId () const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set3 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec3f *const coords)
| FIXME: write doc.
static void | set4 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec4f *const coords)
| FIXME: write doc.
static const SoCoordinateElement * | getInstance (SoState *const state)
| FIXME: write doc.
static SbVec3f | getDefault3 ()
| FIXME: write doc.
static SbVec4f | getDefault4 ()
| FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoCoordinateElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes

int32_t | numCoords
const SbVec3f * | coords3D
const SbVec4f * | coords4D
SbBool | areCoords3D
Protected Attributes inherited from SoReplacedElement
SbUniqueId | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members

Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoCoordinateElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ~SoCoordinateElement()

SoCoordinateElement::~SoCoordinateElement | ( | void |  | ) |

protected virtual

Destructor.

## Member Function Documentation

## getClassTypeId()

SoType SoCoordinateElement::getClassTypeId | ( | void |  | ) |

static

This static method returns the SoType object associated with objects of this class.

## getClassStackIndex()

int SoCoordinateElement::getClassStackIndex | ( | void |  | ) |

static

This static method returns the state stack index for the class.

## createInstance()

void * SoCoordinateElement::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## initClass()

void SoCoordinateElement::initClass | ( | void |  | ) |

static

Initialize relevant common data for all instances, like the type system.

## init()

void SoCoordinateElement::init | ( | SoState * | state | ) |

virtual

FIXME: write doc.

Reimplemented from SoReplacedElement.

## getArrayPtr3()

const SbVec3f * SoCoordinateElement::getArrayPtr3 | ( |  | ) | const

Returns a pointer to the 3D coordinate array. Don't use this method unless SoCoordinateElement::is3D() returns `TRUE`.

This method is not part of the original SGI Open Inventor v2.1 API.

Since
  Coin 1.0

## getArrayPtr4()

const SbVec4f * SoCoordinateElement::getArrayPtr4 | ( |  | ) | const

Returns a pointer to the 4D coordinate array. Don't use this method unless SoCoordinateElement::is3D() returns `FALSE`.

This method is not part of the original SGI Open Inventor v2.1 API.

Since
  Coin 1.0

## print()

void SoCoordinateElement::print | ( | FILE * | file | ) | const

virtual

FIXME: write doc.

Reimplemented from SoReplacedElement.

## Member Data Documentation

## numCoords

int32_t SoCoordinateElement::numCoords

protected

FIXME: write doc.

## coords3D

const SbVec3f* SoCoordinateElement::coords3D

protected

FIXME: write doc.

## coords4D

const SbVec4f* SoCoordinateElement::coords4D

protected

FIXME: write doc.

## areCoords3D

SbBool SoCoordinateElement::areCoords3D

protected

FIXME: write doc.

The documentation for this class was generated from the following files:

- SoCoordinateElement.h
- SoCoordinateElement.cpp